Skip to main content
DELETE
/
api
/
external
/
companies
/
{companyId}
/
events
/
{eventId}
/
financials
/
transactions
/
{transactionId}
Delete Event Transaction
curl --request DELETE \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/events/{eventId}/financials/transactions/{transactionId} \
  --header 'Authorization: <api-key>'
{ "id": "550e8400-e29b-41d4-a716-446655440010", "deleted": true }

Authorizations

Authorization
string
header
required

API key authentication. Include your key in the Authorization header: ApiKey YOUR-API-KEY

Path Parameters

companyId
string<uuid>
required

Company identifier

eventId
string<uuid>
required

Event identifier

transactionId
string<uuid>
required

Transaction identifier

Response

Transaction deleted successfully

Confirmation that the transaction was deleted

id
string<uuid>
required

The ID of the deleted transaction

deleted
boolean
required

Confirmation that the transaction was deleted